Module java.desktop
Package javax.swing.plaf.metal

## Class MetalDesktopIconUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.DesktopIconUI
    - - javax.swing.plaf.basic.BasicDesktopIconUI
      - - javax.swing.plaf.metal.MetalDesktopIconUI

    public class MetalDesktopIconUI
    extends BasicDesktopIconUI

Metal desktop icon.

### Nested Class Summary

### Nested classes/interfaces declared in class javax.swing.plaf.basic.BasicDesktopIconUI

`BasicDesktopIconUI.MouseInputHandler`

### Field Summary

### Fields declared in class javax.swing.plaf.basic.BasicDesktopIconUI

`desktopIcon, frame, iconPane`

### Constructor Summary

Constructors
`MetalDesktopIconUI()` Constructs a new instance of `MetalDesktopIconUI`.

### Method Summary

All Methods Static Methods Concrete Methods
`static ComponentUI` `createUI​(JComponent c)` Constructs a new instance of `MetalDesktopIconUI`.

### Methods declared in class javax.swing.plaf.basic.BasicDesktopIconUI

`createMouseInputListener, deiconize, getInsets, getMaximumSize, installComponents, installDefaults, installListeners, uninstallComponents, uninstallDefaults, uninstallListeners`

### Methods declared in class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetalDesktopIconUI

    public MetalDesktopIconUI()

Constructs a new instance of `MetalDesktopIconUI`.

### Method Detail

#### createUI

    public static ComponentUI createUI​(JComponent c)

Constructs a new instance of `MetalDesktopIconUI`.

Parameters:
  `c` - a component
Returns:
  a new instance of `MetalDesktopIconUI`